Bug 71820 - (SOUND AD1848)Kudzu only loads ad1848 module, need cs4232 module for sound to work
(SOUND AD1848)Kudzu only loads ad1848 module, need cs4232 module for sound to...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
: 72053 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 13:46 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-19 13:46:28 EDT
Description of Problem:
On a clean install of 8.0 beta5, Sound does not work.

Kudzu is not loading the proper modules for my soundcard on a Dell Optiplex GX1p

The section of the /etc/sysconfig/hwconf that corresponds to my sound card is
class: AUDIO
bus: ISAPNP
detached: 0
driver: ad1848
desc: "CS4236B:WSS/SB"
deviceId: CSC0000
pdeviceId: CSC6835
native: 1
active: 0
cardnum: 0
logdev: 0


When I access the sound card, it loads the ad1848 driver, with the following
messages in dmesg 

ad1848/cs4248 codec driver Copyright (C) by Hannu Savolainen 1993-1996
ad1848: WSS/SB detected
ad1848: ISAPnP reports 'WSS/SB' at i/o 0x534, irq 5, dma 1, 3

But the card does not work. In order to get sound, I must load the cs4232
driver, which in turn loads the ad1848 driver. From no sound modules loaded and
a cleared dmesg, I load the cs4232 module, and get the following dmesg output

ad1848/cs4248 codec driver Copyright (C) by Hannu Savolainen 1993-1996
ad1848: WSS/SB detected
ad1848: ISAPnP reports 'WSS/SB' at i/o 0x534, irq 5, dma 1, 3
cs4232: set synthio and synthirq to use the wavefront facilities.


Now the soundcard will work properly. The kudzu generated modules.conf is below.
alias parport_lowlevel parport_pc
alias eth0 eepro100
alias usb-controller usb-uhci
alias sound-slot-2 ad1848
post-install sound-slot-2 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-2 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :


Kudzu properly detected my soundcard in 7.3 and it worked with no modification.
Now, I must modprobe cs4232 manually to get sound.


Version-Release number of selected component (if applicable):
0.99.64-2
Comment 1 Bill Nottingham 2002-08-19 15:03:38 EDT
The kernel driver ad1848 claims this device.
Comment 2 Bill Nottingham 2002-08-19 15:04:13 EDT
Removing the mapping for this device from that driver should solve the problem.
Comment 3 Bill Nottingham 2002-08-21 00:34:42 EDT
*** Bug 72053 has been marked as a duplicate of this bug. ***
Comment 4 Bugzilla owner 2004-09-30 11:39:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.